# PetscViewerASCIIMonitor

Context for the default KSP, SNES and TS monitors that print ASCII strings of residual norms etc.

### Synopsis

    struct _p_PetscViewerASCIIMonitor {
      PetscViewer viewer;
      PetscInt    tabs;
    };

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType, KSPMonitorSet(), SNESMonitorSet(), TSMonitorSet(),
KSPMonitorDefault(), SNESMonitorDefault()

Level:advanced
Location: src/sys/viewer/../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages